from django.http import Http404
from django.shortcuts import render_to_response, get_object_or_404
from trainingwebsite.students.models import Course

def courselist(request):
    course_list = Course.objects.all()
    mapping = {'course_list': course_list}
    return render_to_response('students/views/course_list.html', mapping)

def course(request, course_id):
    c = get_object_or_404(Course, pk=course_id)
    return render_to_response('students/views/course.html', {'course': c})

def studentlogin(request):
    return HttpResponse("Hello world")

def partnerlogin(request):
    return HttpResponse("Hello world")